# BittrexEnterprise

A simple Ruby gem for the Bittrex.com v3 API protocol.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'bittrex-enterprise'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install bittrex-enterprise

## Usage

### Load the gem
```
require 'bittrex-enterprise'
```

### Setup your Bittrex API key

```
BittrexEnterprise.setup do |config|
  config.key = 'BITTREX_KEY'
  config.secret = 'BITTREX_SECRET'
end
```

### Use the gem

This gem methods are named after the official Bittrex v3 Beta API Documentation: https://bittrex.github.io/api/v3

```
# NO AUTH REQUIRED

## Currencies

BittrexEnterprise::Currencies.list
BittrexEnterprise::Currencies.info

## Markets

BittrexEnterprise::Markets.list
BittrexEnterprise::Markets.summaries
BittrexEnterprise::Markets.info
BittrexEnterprise::Markets.summary
BittrexEnterprise::Markets.order_book
BittrexEnterprise::Markets.trades
BittrexEnterprise::Markets.ticker
BittrexEnterprise::Markets.candles

## Ping

BittrexEnterprise::Ping.send

# AUTH REQUIRED

## Account

BittrexEnterprise::Account.retrieve

## Addresses

BittrexEnterprise::Addresses.list
BittrexEnterprise::Addresses.create
BittrexEnterprise::Addresses.status

## Balances

BittrexEnterprise::Balances.list
BittrexEnterprise::Balances.info

## Deposits

BittrexEnterprise::Deposits.open
BittrexEnterprise::Deposits.closed
BittrexEnterprise::Deposits.by_tx_id
BittrexEnterprise::Deposits.retrieve

## Orders

BittrexEnterprise::Orders.open
BittrexEnterprise::Orders.closed
BittrexEnterprise::Orders.retrieve
BittrexEnterprise::Orders.cancel
BittrexEnterprise::Orders.create

## SubAccounts

BittrexEnterprise::SubAccounts.list
BittrexEnterprise::SubAccounts.create
BittrexEnterprise::SubAccounts.retrieve

## Transfers

BittrexEnterprise::Transfers.sent
BittrexEnterprise::Transfers.received
BittrexEnterprise::Transfers.retrieve
BittrexEnterprise::Transfers.create

## Withdrawals

BittrexEnterprise::Withdrawals.open
BittrexEnterprise::Withdrawals.closed
BittrexEnterprise::Withdrawals.by_tx_id
BittrexEnterprise::Withdrawals.retrieve
BittrexEnterprise::Withdrawals.cancel
BittrexEnterprise::Withdrawals.create

```
